# Listing

Advanced listing of various quantities from processed FITS files.

## Command

`munipack list [...] file(s)`

## Description

This utility is prepared for listing of non-trivial quantities from FITS files like the light curve, where some special operations (time determining, magnitude difference, spherical coordinates) are required. Use manual for fits utility to direct access of FITS files.

Listing can be used in following modes:

- star catalogue
- light curve

Star catalogue mode prints all objects on a single frame for which photometry is available. The star coordinates are defaulted to sphericals.

Light mode curve prints light curve (time and flux or magnitude) for a specified object on a set of images.

## Parameters

- `-c` print cat (star catalogue), lc (light curve, default)
- `-s` spherical coordinates (default)
- `-p` Cartesian coordinates (pixels)
- `--col` column(s) name(s) to list
- `--key` select header keyword(s)
- `--mag` output in magnitudes instead counts
- `--flux` output in fluxes instead counts
- `--instr` instrumental magnitudes (when --mag)
- `--zero` zero magnitude (in conjunction with --mag)
- `--epoch` reference Julian date for proper motion
- `--aperture` radius of aperture [pix], interpolated when needed
- `--tol` search radius [deg]
- `--print-filename` print filenames

## Catalogue Listing

Summary of parameters and quantities
parameters | Output
--- | ---
none | List measured counts c
--mag | List instrumental magnitudes from counts m = 25 - 2.5 log10(c)
--flux | List instrumental fluxes as counts per second and square meter f = c/(T A)
--mag --calibr | List magnitudes from counts using calibration m = 0 - 2.5 log10(fc0*c/TA)
--flux --calibr | List fluxes using calibration in Watts per second and square meter f = fc0*c/(T A)

## Examples

Print a catalogue from the file:

`$ munipack list -c cat --mag --col apflux3,apflux3_err M67_Blue.fits`

Print a light curve from files:

`$ munipack list 256,156 258,88 0716_*R.fits`

## See Also

Light Curve, Color — Magnitude Diagram, Common options